.main_project_container {
    max-width: 120rem;
    margin: 0 auto;
    display: flex;  
    flex-direction: column;
    align-items: center;
    position: relative; 
}

@media (min-width: 768px) {
    .main_project_container {
        display: grid;
        grid-template-columns:12% 88%;
        column-gap: 1rem;
        place-items: center; /* Center items inside the columns */
        align-items: start;  /* Make categories nav area start at the begining of the project cat containers (vertically) */    
    }
}

.cat_container {
    display: flex;
    flex-direction: column;
}

.category {
    margin: 1rem auto;
    max-width: 100rem;
    display: flex;
    flex-direction: column; 
    justify-content: center;
    width: 100%;
    height: 100%;
    box-shadow: 0px 5px 15px 0px rgba(0,0,0,0.54);
    border-radius: 1rem; 
}

.cat_title {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 15rem;
    border-radius: 1rem 1rem 0 0;
    background-repeat: no-repeat;
    background-size: cover;
}

.category h3 {
    color: var(--white);
}

.project {
    margin: 0;
    padding-top: 1rem;
    padding-bottom: 1rem;
    width: 100%;
    background-image: linear-gradient(to top, var(--light_gray) 0%, var(--white) 70%);
}

.project h4 {
    margin: 0;
    padding: 0;
}

.project p:last-of-type {
    margin-top: 0;
}

.project_content {
    display: flex;
    flex-direction: column;
    padding: 2rem;
    padding-top: 0rem;
    align-items: center;
    justify-content: center;
}

@media (min-width: 768px) {
    .project_content {
        display: grid;
        grid-template-columns: 35% 65%;
        column-gap: 1rem;
    }
}

.image_container {
    max-width: 32rem;
    max-height: 18rem;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0.5rem;
    margin: 1rem;
  }

.project_img {
    width: 100%; 
    height: 100%; 
    object-fit: cover;
    border-radius: 0.5rem;
    transition: transform 0.3s;
}

.image_container:hover{
    transform: scale(1.07);
    transition: transform 0.3s;
    cursor: pointer;
}

.project_description {
    display: flex;
    flex-direction: column; 
    align-items: center;
    margin: 1rem;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    border-radius: 0.5rem;    
}

@media (max-width: 768px){
    .project_description{
        width: 100%;
    }  
}

.project:last-of-type {
    border-radius: 0 0 1rem 1rem ;
}

.fixed_nav_area {
    display: flex;
    position: fixed;
    bottom: 0;
    z-index: 1;
    background-color: var(--white);
    width: 100%;
    justify-content: center;
}

@media (min-width: 768px) {
    .fixed_nav_area {
        display: grid;
        position: sticky;
        top: 0;
        z-index: 1;
        background-color: var(--transparent);
        width: 100%;
    }
}

.fixed_nav_icons {
    background-color: var(--primary_color);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0.3rem;
    height: 7rem;
    width: 7rem;
}

@media (min-width: 768px){
    .fixed_nav_icons {
        height: 8rem;
        width: 8rem;
        background-color: var(--primary_color);
        border-radius: 50%;
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 1rem;
    }
}

@media (min-width: 991px){
    .fixed_nav_icons {
        height: 10rem;
        width: 10rem;
    }
}

.fixed_nav_icons:hover {
    transform: scale(1.2);
    transition: transform 0.3s;
    cursor: pointer;
    background-color: var(--secondary_color);
}

.fixed_nav_icons .web_dev_icon:hover {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-browser" width="50" height="50" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23000000" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><rect x="4" y="4" width="16" height="16" rx="1" /><line x1="4" y1="8" x2="20" y2="8" /><line x1="8" y1="4" x2="8" y2="8" /></svg>');
}

.fixed_nav_icons .embedded_systems_icon:hover {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-cpu" width="50" height="50" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23000000" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M5 5m0 1a1 1 0 0 1 1 -1h12a1 1 0 0 1 1 1v12a1 1 0 0 1 -1 1h-12a1 1 0 0 1 -1 -1z" /><path d="M9 9h6v6h-6z" /><path d="M3 10h2" /><path d="M3 14h2" /><path d="M10 3v2" /><path d="M14 3v2" /><path d="M21 10h-2" /><path d="M21 14h-2" /><path d="M14 21v-2" /><path d="M10 21v-2" /></svg>');
}

.fixed_nav_icons .mobile_dev_icon:hover {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-device-mobile" width="70" height="70" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23000000" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><rect x="7" y="4" width="10" height="16" rx="1" /><line x1="11" y1="5" x2="13" y2="5" /><line x1="12" y1="17" x2="12" y2="17.01" /></svg>');
}

.fixed_nav_icons .computer_science_icon:hover {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-devices-2" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23000000" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M10 15h-6a1 1 0 0 1 -1 -1v-8a1 1 0 0 1 1 -1h6" /><path d="M13 4m0 1a1 1 0 0 1 1 -1h6a1 1 0 0 1 1 1v14a1 1 0 0 1 -1 1h-6a1 1 0 0 1 -1 -1z" /><path d="M7 19l3 0" /><path d="M17 8l0 .01" /><path d="M17 16m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /><path d="M9 15l0 4" /></svg>');
}

.fixed_nav_icons .operative_systems_icon:hover {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-braces" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23000000" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M7 4a2 2 0 0 0 -2 2v3a2 3 0 0 1 -2 3a2 3 0 0 1 2 3v3a2 2 0 0 0 2 2" /><path d="M17 4a2 2 0 0 1 2 2v3a2 3 0 0 0 2 3a2 3 0 0 0 -2 3v3a2 2 0 0 1 -2 2" /></svg>');
}


.web_dev_icon {
    width: 5rem; 
    height: 5rem; 
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-browser" width="50" height="50" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><rect x="4" y="4" width="16" height="16" rx="1" /><line x1="4" y1="8" x2="20" y2="8" /><line x1="8" y1="4" x2="8" y2="8" /></svg>');
    background-size: cover; 
    background-repeat: no-repeat; 
}

.embedded_systems_icon {
    width: 5rem; 
    height: 5rem; 
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-cpu" width="50" height="50" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M5 5m0 1a1 1 0 0 1 1 -1h12a1 1 0 0 1 1 1v12a1 1 0 0 1 -1 1h-12a1 1 0 0 1 -1 -1z" /><path d="M9 9h6v6h-6z" /><path d="M3 10h2" /><path d="M3 14h2" /><path d="M10 3v2" /><path d="M14 3v2" /><path d="M21 10h-2" /><path d="M21 14h-2" /><path d="M14 21v-2" /><path d="M10 21v-2" /></svg>');
    background-size: cover; 
    background-repeat: no-repeat; /
}

.mobile_dev_icon {
    width: 6rem;
    height: 6rem;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-device-mobile" width="70" height="70" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><rect x="7" y="4" width="10" height="16" rx="1" /><line x1="11" y1="5" x2="13" y2="5" /><line x1="12" y1="17" x2="12" y2="17.01" /></svg>');
    background-size: cover; 
    background-repeat: no-repeat; 
}

.computer_science_icon {
    width: 5rem; 
    height: 5rem; 
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-devices-2" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M10 15h-6a1 1 0 0 1 -1 -1v-8a1 1 0 0 1 1 -1h6" /><path d="M13 4m0 1a1 1 0 0 1 1 -1h6a1 1 0 0 1 1 1v14a1 1 0 0 1 -1 1h-6a1 1 0 0 1 -1 -1z" /><path d="M7 19l3 0" /><path d="M17 8l0 .01" /><path d="M17 16m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /><path d="M9 15l0 4" /></svg>');
    background-size: cover;
    background-repeat: no-repeat; 
}

.operative_systems_icon {
    width: 5rem; 
    height: 5rem; 
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-braces" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="%23FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M7 4a2 2 0 0 0 -2 2v3a2 3 0 0 1 -2 3a2 3 0 0 1 2 3v3a2 2 0 0 0 2 2" /><path d="M17 4a2 2 0 0 1 2 2v3a2 3 0 0 0 2 3a2 3 0 0 0 -2 3v3a2 2 0 0 1 -2 2" /></svg>');
    background-size: cover; 
    background-repeat: no-repeat; 
}

.article_container {
    max-height: 92rem;
    overflow: auto;
    border-radius: 0 0 1rem 1rem ;
}